
Ryzom - Feature # 33

Status: New Priority: High
Author: vl Category:
Created: 09/03/2008 Assignee: sfb
Updated: 09/29/2010 Due date:
Subject: bad assumption that time_t is 32b
Description

time_t can be 64 bits but in NeL we suppose that time_t is 32b and there's code that convert or store time_t under a uint32.

uint32 CTime::getSecondsSince1970 (){
    return uint32(time(NULL));
}

The function must returns a time_t and check all linked issues.
To test, you can returning a uint64 and it'll generate warning where problems occur

History
#1 - 01/28/2009 11:24 pm - abelgar
- File Feature__33.patch added

Here, a small patch which corrects the bad assumption. All linked issues has been corrected.

#2 - 01/29/2009 11:39 am - abelgar
- File Feature__33_v2.patch added

clean version with add of an omission

#3 - 05/11/2009 03:31 pm - sfb
- Category set to Misc
- Assignee set to sfb
- Target version set to Version 0.7.0

#4 - 09/03/2009 03:23 pm - sfb
- Priority changed from Normal to High
- Target version changed from Version 0.7.0 to 0.8.0

So this is going to take some focus and testing, I'm changing the priority and moving it to 0.8.0 with hopes that it'll get fixed in trunk early in the 0.8.0
development cycle.

#5 - 09/29/2010 09:06 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Misc)
- Target version deleted (0.8.0)

08/23/2018 1/2



Files
Feature__33.patch 24.8 kB 01/28/2009 abelgar
Feature__33_v2.patch 11.8 kB 01/29/2009 abelgar
